Subject: Notification: incoming/1557

From: [email-masked]
Date: Fri, 14 Jan 2005 20:24:38 -0600 (CST)

FVWM Bug Tracking notification

new message incoming/1557

Message summary for PR#1557
	From: [email-masked]
	Subject: fvwm crashes while resizing
	Date: Fri, 14 Jan 2005 20:24:17 -0600
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

>From [email-masked] Fri Jan 14 20:24:18 2005
Date: Fri, 14 Jan 2005 20:24:17 -0600
From: [email-masked]
To: [email-masked]
Subject: fvwm crashes while resizing

Full_Name: Tommy C. Li
Version: 2.5.12
CVS_Date: 
OS: Linux Kernel 2.6.10-morph10
X_Server: xorg-x11-6.8.1.901
Submission from: (NULL) (69.172.241.119)

Configuration Information [Automatically generated, do not change]:
uname: Linux shepherd 2.6.10-morph10 #1 Sat Jan 8 16:26:23 PST 2005 i686
AMD Athlon(tm) XP  2400+ AuthenticAMD GNU/Linux
compiler flags: i686-pc-linux-gnu-gcc -Wall -Wno-implicit-int -O2
-march=athlon-xp -pipe

FVWM Version:   2.5.12
FVWM_MODULEDIR: /usr/lib/fvwm/2.5.12
FVWM_DATADIR:   /usr/share/fvwm
FVWM_USERDIR:   /home/realitymage/.fvwm

Description:

My Fvwm window manager frequently crashes during resizing of windows.
Maximize, Minimize, and Iconify are okay, but when I'm actually resizing
the windows, that's when the horror starts.

Here are the relevant part of the logs:

*** glibc detected *** double free or corruption (out): 0x080f6833 ***
/etc/X11/Sessions/fvwm2: line 3: 21752 Aborted                
/usr/bin/fvwm2
kicker: Fatal IO error: client killed
The program 'gkrellm2' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadDrawable (invalid Pixmap or Window parameter)'.
  (Details: serial 65269 error_code 9 request_code 62 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error()
function.)
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  19
  Minor opcode:  0
  Resource id:  0x22000cd
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  24
  Minor opcode:  0
  Resource id:  0x22000cd

I'm pretty sure only the top two lines are relevant, and the rest deals
with other programs crashing because of window-manager failure.

Repeat-By:

Resize windows. I'd say it has a 10% chance of happening for every ten
seconds of resizing-time.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]